;This Z80 program will flash 8 LEDs on an IO port in Knight Rider fashion.

.org 0000h

	ld c, 04h	;Load C with address of IO port.
	ld sp, 0effh	;Load stack pointer with top RAM address 

chk
	ld b, 06h	;Load bit pattern to shift.
rotate
	rlc b
	jr nc, rotate
	rrc b
rotR
	out (c), b
	call delay
	rrc b
	jr nc, rotR
	rlc b
rotL
	out (c), b
	call delay
	rlc b
	jr nc, rotL
	jp chk
delay
	ld hl, 020ffh
cnt
	dec hl
	xor a
	cp h
	jr nz, cnt
	ret


.end
